<?php

$viewdefs['Contacts']['base']['view']['list'] = array(
    'panels' => array(
        0 => array(
            'label'  => 'LBL_PANEL_DEFAULT',
            'fields' => array(
                0 => array(
                    'name'    => 'full_name',
                    'type'    => 'fullname',
                    'fields'  => array(
                        0 => 'salutation',
                        1 => 'first_name',
                        2 => 'last_name',
                    ),
                    'link'    => true,
                    'label'   => 'LBL_LIST_NAME',
                    'enabled' => true,
                    'default' => true,
                ),
                1 => array(
                    'name'    => 'name_2_c',
                    'default' => true,
                    'enabled' => true,
                    'type'    => 'varchar',
                    'label'   => 'LBL_NAME_2',
                    'width'   => '15%',
                    'link'    => true,
                ),
                2 => array(
                    'name'           => 'account_name',
                    'enabled'        => true,
                    'default'        => true,
                    'width'          => '20%',
                    'label'          => 'LBL_LIST_ACCOUNT_NAME',
                    'id'             => 'ACCOUNT_ID',
                    'link'           => true,
                    'contextMenu'    => array(
                        'objectType' => 'sugarAccount',
                        'metaData'   => array(
                            'return_module' => 'Contacts',
                            'return_action' => 'ListView',
                            'module'        => 'Accounts',
                            'parent_id'     => '{$ACCOUNT_ID}',
                            'parent_name'   => '{$ACCOUNT_NAME}',
                            'account_id'    => '{$ACCOUNT_ID}',
                            'account_name'  => '{$ACCOUNT_NAME}',
                        ),
                    ),
                    'sortable'       => true,
                    'ACLTag'         => 'ACCOUNT',
                    'related_fields' => array(
                        0 => 'account_id',
                    ),
                ),
                3 => array(
                    'name'    => 'contact_type_c',
                    'default' => true,
                    'enabled' => true,
                    'type'    => 'enum',
                    'studio'  => 'visible',
                    'label'   => 'LBL_CONTACT_TYPE',
                    'width'   => '10%',
                ),
                4 => array(
                    'name'     => 'date_entered',
                    'enabled'  => true,
                    'default'  => true,
                    'readonly' => true,
                    'width'    => '13%',
                    'label'    => 'LBL_DATE_ENTERED',
                ),
                5 => array(
                    'name'    => 'date_modified',
                    'enabled' => true,
                    'default' => true,
                    'type'    => 'datetime',
                    'label'   => 'LBL_DATE_MODIFIED',
                    'width'   => '13%',
                ),
                6 => array(
                    'name'       => 'email',
                    'enabled'    => true,
                    'default'    => false,
                    'width'      => '15%',
                    'label'      => 'LBL_LIST_EMAIL_ADDRESS',
                    'sortable'   => false,
                    'link'       => true,
                    'customCode' => '{$EMAIL_LINK}{$EMAIL}</a>',
                ),
                7 => array(
                    'name'    => 'primary_address_country',
                    'default' => false,
                    'enabled' => true,
                    'width'   => '10',
                    'label'   => 'LBL_PRIMARY_ADDRESS_COUNTRY',
                ),
            ),
        ),
    ),
);
